# managed by Ansible
# vim: ft=systemd
[Unit]
Description=Surveyor web frontend

[Service]
Type=simple
WorkingDirectory=/srv/surveyor/web
ExecStart=/usr/bin/uwsgi --plugin python3 --mount '/=surveyor:app'
User=surveyor-web
Group=www-nginx
Restart=always
RestartSec=2
TimeoutStopSec=300

CPUAccounting=true
MemoryAccounting=true
Nice=10
# quota for one CPU
CPUQuota=100%
MemoryHigh=800M
MemoryMax=1G

[Unit]
StartLimitBurst=0
StartLimitIntervalSec=0
